package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc品牌项目支付审批对象 cmc_brand
 * 
 * @author cmc
 * @date 2024-04-29
 */
public class CmcBrand extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 品牌项目支付审批id */
    private String brandId;

    /** 品牌项目id */
    @Excel(name = "品牌项目id")
    private String projectId;

    /** 申请支付说明 */
    @Excel(name = "申请支付说明")
    private String applyReason;

    /** 审核文件 */
    @Excel(name = "审核文件")
    private String approvalDocument;

    /** 申请人 */
    @Excel(name = "申请人")
    private Long applier;

    private SysUser applierUser;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyTime;

    /** 反馈时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "反馈时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date cwTime;

    /** 财务部经办人 */
    @Excel(name = "财务部经办人")
    private Long cwUserId;

    private SysUser cwUser;

    public void setBrandId(String brandId) 
    {
        this.brandId = brandId;
    }

    public String getBrandId() 
    {
        return brandId;
    }
    public void setProjectId(String projectId) 
    {
        this.projectId = projectId;
    }

    public String getProjectId() 
    {
        return projectId;
    }
    public void setApplyReason(String applyReason) 
    {
        this.applyReason = applyReason;
    }

    public String getApplyReason() 
    {
        return applyReason;
    }
    public void setApprovalDocument(String approvalDocument) 
    {
        this.approvalDocument = approvalDocument;
    }

    public String getApprovalDocument() 
    {
        return approvalDocument;
    }
    public void setApplier(Long applier) 
    {
        this.applier = applier;
    }

    public Long getApplier() 
    {
        return applier;
    }
    public void setApplierUser(SysUser applierUser)
    {
        this.applierUser = applierUser;
    }

    public SysUser getApplierUser()
    {
        return applierUser;
    }
    public void setApplyTime(Date applyTime) 
    {
        this.applyTime = applyTime;
    }

    public Date getApplyTime() 
    {
        return applyTime;
    }
    public void setCwTime(Date cwTime)
    {
        this.cwTime = cwTime;
    }

    public Date getCwTime()
    {
        return cwTime;
    }
    public void setCwUserId(Long cwUserId) 
    {
        this.cwUserId = cwUserId;
    }

    public Long getCwUserId() 
    {
        return cwUserId;
    }
    public void setCwUser(SysUser cwUser)
    {
        this.cwUser = cwUser;
    }

    public SysUser getCwUser()
    {
        return cwUser;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("brandId", getBrandId())
            .append("projectId", getProjectId())
            .append("applyReason", getApplyReason())
            .append("approvalDocument", getApprovalDocument())
            .append("applier", getApplier())
            .append("applyTime", getApplyTime())
            .append("cwUserId", getCwUserId())
            .toString();
    }
}
